import defaultLocale from './default';
export declare type PickKeys<T> = {
    [keys in keyof T]: T[keys];
};
export declare type Locale = PickKeys<typeof defaultLocale>;
export declare type MixedTypeLocale = PickKeys<typeof defaultLocale.mixed>;
export declare type ArrayTypeLocale = PickKeys<typeof defaultLocale.array> & MixedTypeLocale;
export declare type ObjectTypeLocale = PickKeys<typeof defaultLocale.object> & MixedTypeLocale;
export declare type BooleanTypeLocale = PickKeys<typeof defaultLocale.boolean> & MixedTypeLocale;
export declare type StringTypeLocale = PickKeys<typeof defaultLocale.string> & MixedTypeLocale;
export declare type NumberTypeLocale = PickKeys<typeof defaultLocale.number> & MixedTypeLocale;
export declare type DateTypeLocale = PickKeys<typeof defaultLocale.date> & MixedTypeLocale;
export default defaultLocale;
